<?php
/**
 *
 * @extension       YRPrice Calculator
 * @author          Lev Milicenco<support@marlev.it>
 * @link            http://www.marlev.it
 * @copyright       Copyright 2014 marlev.it All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */


defined('_JEXEC') or die;

class Tmarlevv2TableTemplate extends JTable
{
	public function __construct($db)
	{

		parent::__construct('#__template_styles', 'id', $db);
	}

	public function bind($array, $ignore = '')
	{

		if (isset($array['params']) && is_array($array['params']))
		{
			$registry = new JRegistry;
			$registry->loadArray($array['params']);
			$array['params'] = (string) $registry;
		}

	

		return parent::bind($array, $ignore);
	}





}
